<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
	<head>
		<title>setcfg.php</title>
		<link rel="stylesheet" href="setcfg.css" type="text/css" />
	</head>
	<body onload="">

	<!-- menu -->
	<style type="text/css">
	@import url(menu.css);
	
	</style>
<?php
	
	ini_set('memory_limit', '1024M');
	include("secureLogin.php");
	include_once("..\\authserv\\common_functions.php");
	include_once("..\\usersetting\\custom_lang.php");
	include("cmvar.php");

	// create COM object
	$settingobj = new COM("FSCONFIG.Cfgmgr") or die("UI_ExtraInformation.php FSCONFIG.Cfgmgr Object cannot be created!");
	$dsn_file = $settingobj->getKey("Datasource", "gateway");
	$dsn_source = fopen( $dsn_file, "r") or die("Cannot open DSN source file!");
	$isAnony = $settingobj->getKey("anonymous_login", "gateway");
	$isAnony = strtolower( $isAnony);
	$dsn = '';

	$starttime	= explode(" ",date("Y n d",0));
	$year	= $starttime[0];
	$month	= $starttime[1];
	$day	= $starttime[2];
	$maxheight = 0;
	$mode 	= 0;
	$sessionHandling = "";
	$sessionHandling = $settingobj->getKey('session_handling', 'gateway');
	$firstspotusertable = $settingobj->getKey('Datasource_Tablename', 'gateway');

	resetMaxMin();

	if (!feof( $dsn_source))  $line = fgets( $dsn_source, 512); 

	while (!feof( $dsn_source)) {
		$line = fgets( $dsn_source, 512);
		if (trim( $line) != '') $dsn = $dsn . $line;
	}

	$dsn = str_replace("\r\n", ';', $dsn);
	$userDB = odbc_connect( $dsn, '', '');

	if (isset( $_GET['submit'])) {

		$timerange_start = 0;
		$timerange_end = time();
		if ( $_GET['time_range'] == 'date_range') {
			$treatStartDate = explode('-', $_GET['time_range_start']);
			if (!checkdate( $treatStartDate[1], $treatStartDate[2], $treatStartDate[0])) {
				exit('start date not exist');
			}
			$timerange_start = mktime(0, 0, 0, $treatStartDate[1], $treatStartDate[2], $treatStartDate[0]);

			$treatEndDate = explode('-', $_GET['time_range_end']);
			if (!checkdate( $treatEndDate[1], $treatEndDate[2], $treatEndDate[0])) {
				exit('end date not exist');
			}
			$timerange_end = mktime(0, 0, 0, $treatEndDate[1], $treatEndDate[2], $treatEndDate[0]) + 86400;
		}
		
		$users = array();
		if (!isset( $_GET['chosen_user_all'])) {
			$users = json_decode(stripslashes( $_GET['chosen_user_list_data']));
		}

		if ( $userDB)
		{	
			
			if ( $_GET['stat_about'] <= '9' && $_GET['stat_about'] >= '1'){
				$firstspotuserlogtable = $settingobj->getKey('Datasource_Log_Tablename', 'gateway');
				$result = odbc_exec( $userDB, "SELECT * FROM $firstspotuserlogtable"); 
				$mode = 1;
			} else {
				$firstspotppaltable = $settingobj->getKey('Datasource_PayPal_Table', 'gateway');
				$result = odbc_exec( $userDB, "SELECT * FROM $firstspotppaltable WHERE pay_status = 'Completed'"); 
			}
			$resultArray = array();
			$ipormac = array();
			$ipormacCounter = 0;
			$tempCount = 0 ; 
			$temp_name = array();
			$temp_bwusageSha = array();
			$checking ;
			$notExist = 0;
			
			while (odbc_fetch_row( $result))
			{
				if ( $_GET['stat_about'] <= '9' && $_GET['stat_about'] >= '1'){
					$logintime = odbc_result( $result, 'logintime');
				}
				else {
					$paytime = odbc_result( $result, 'pay_date');
					$logintime= date("D M j H:i:s Y", strtotime( $paytime));
				}
				$treatLoginTime = array();
				$treatLoginTime = explode(' ', $logintime);
			
				if (count( $treatLoginTime) < 5){	// something wrong of login time format
					continue;
				}

				$treatLoginTime[3] = explode(':', $treatLoginTime[3]);

				if (count( $treatLoginTime[3]) < 3){
					// something wrong of time format
					continue;
				}

				$month = getMonthByString( $treatLoginTime[1]);
				$logintime = mktime( $treatLoginTime[3][0], $treatLoginTime[3][1], $treatLoginTime[3][2], $month, $treatLoginTime[2], $treatLoginTime[4]);
				 
				if ( $logintime < $timerange_start || $logintime > $timerange_end)
					continue;
				// echo date('Y-n-j H:i:s', $logintime) . '<br>';
				if ( $timerange_start == 0)
					$timerange_start = $logintime;
				if ( $_GET['time_range'] == 'all' && $logintime < $timerange_start)
					$timerange_start = $logintime;

				if ( $_GET['stat_about'] <= '9' && $_GET['stat_about'] >= '1')
					$name = odbc_result( $result, 'name');
				else
					$name = odbc_result( $result, 'username');
				if (!isset( $_GET['chosen_user_all']) && !(in_array( $name,(array) $users)||multipleClientCheck($name,$users))) {
					continue;
				}

				if ( $_GET['stat_about'] <= '9' && $_GET['stat_about'] >= '1'){
						$download_temp = odbc_result( $result, 'bwusage');
						$upload_temp = odbc_result( $result, 'bwusageUL');
						$total_temp = odbc_result( $result, 'bwusageSha');
						if ( $total_temp == 0 )  // total transfer transfer is not enabled, try to use download + upload instead
							$total_temp = $download_temp + $upload_temp;
						$data = array( $name, odbc_result( $result, 'duration'), $download_temp, $upload_temp, $total_temp);
						$data[4] = (int)$data[4];

				}
				else 
					$data = array( $name, odbc_result( $result, 'item_name'), odbc_result( $result, 'amount'), odbc_result( $result, 'curr'), odbc_result( $result, 'pay_status'),odbc_result( $result, 'method'));
				//for those use not counting at total data transfer
				//if ( $data[4] == NULL)
					//$data[4] = 0;
					
				
					
				if (count( $temp_name) == 0) {
					if($mode = 1 && muiltpleUserDatabaseCheck($data[0]) ){
						$tempUser = splitUsername($data[0]) ;
						$temp_name[ $tempCount] = $tempUser;
						if ( $_GET['stat_about'] <= '9' && $_GET['stat_about'] >= '1')
						$temp_bwusageSha[ $tempCount] = $data[4];
						
					}
					else{
						$temp_name[ $tempCount] = $data[0];
						if ( $_GET['stat_about'] <= '9' && $_GET['stat_about'] >= '1')
							$temp_bwusageSha[ $tempCount] = $data[4];
						$tempCount ++;
					}
				}	
				else {
					for ( $checking = 0; $checking < count( $temp_name); $checking ++) {
						$tempUser = $data[0];
						if(muiltpleUserDatabaseCheck($tempUser) ){
							if($sessionHandling == 0)
								$pattern = "/\_([0-9A-F]{2}[:-]){5}([0-9A-F]{2})\b/";
							
							else if($sessionHandling == 1)
								$pattern = "/\_\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}\b/";
								
							$tempUser = preg_split($pattern,(string)$tempUser) ;
							$tempUser = $tempUser[0];
						}
						
						if ( $tempUser == $temp_name[ $checking]) {
							if ( $_GET['stat_about'] <= '9' && $_GET['stat_about'] >= '1')
								$temp_bwusageSha[ $checking] += $data[4];
							$notExist = 0;
							break;
						}
						else 
							$notExist ++;
					
						if ( $notExist == count( $temp_name)) {
							$temp_name[ $tempCount] = $tempUser;
							if ( $_GET['stat_about'] <= '9' && $_GET['stat_about'] >= '1')
								$temp_bwusageSha[ $tempCount] = $data[4];
							$tempCount ++;
							$notExist = 0;
							break;
						}
					}
				}

				if ( $_GET['stat_about'] != '8') {
					if ( $_GET['group_by'] == 'day') {
						$resultArray[ $treatLoginTime[4]][ $month][ $treatLoginTime[2]][] = $data;
					} else if ( $_GET['group_by'] == 'month') {
						$resultArray[ $treatLoginTime[4]][ $month][] = $data;
					} else if ( $_GET['group_by'] == 'year') {
						$resultArray[ $treatLoginTime[4]][] = $data;
					}
				}
				if ( $_GET['stat_about'] <= '9' && $_GET['stat_about'] >= '1')
					$ipormac[ $ipormacCounter] = odbc_result( $result, 'ipormac');
				$ipormacCounter++;
			}
			

			$timerange_start_temp = $timerange_start;
			if ( $timerange_start_temp != 0 && $_GET['stat_about'] != '8') {
				if ( $_GET['group_by'] == 'day') {
					while ( $timerange_start_temp < $timerange_end) {
						$year = date('Y', $timerange_start_temp);
						$month = date('n', $timerange_start_temp);
						$day = date('d', $timerange_start_temp);
						$statArray[ $year][ $month][ $day] = 0;
						$timerange_start_temp += 86400;
					}
				} else if ( $_GET['group_by'] == 'month') {
					$year		= date('Y', $timerange_start_temp);
					$endYear	= date('Y', $timerange_end);
					$month		= date('n', $timerange_start_temp);
					$endMonth	= date('n', $timerange_end);
					for ( $i = $year; $i <= $endYear; $i++) {
						for ( $j = 1; $j <= 12; $j++) {
							if ( $i == $year && $j < $month)
								continue;
							if ( $i == $endYear && $j > $endMonth)
								continue;
							$statArray[ $i][ $j] = 0;
						}
					}
				} else if ( $_GET['group_by'] == 'year') {
					$year = date('Y', $timerange_start_temp);
					$endYear = date('Y', $timerange_end);
					for ( $i = $year; $i <= $endYear; $i++) {
						$statArray[ $i] = 0;
					}
				}
			}

			$counter = 0;
			$uniqueUserList = array();
			$temp_avg_user = array();
			$temp_avg_duration = array();
			
			if ( $_GET['stat_about'] != '8') {
			if ( $_GET['group_by'] == 'day') {
				$counter = 0;
				foreach ( $resultArray as $year => $data) {
					foreach ( $data as $month => $data2) {
						foreach ( $data2 as $day => $data3) {
							$noofuser = 0;
							$totalduration = 0;
							foreach ( $data3 as $finalData) {
								if (!isset( $statArray[ $year][ $month][ $day])) $statArray[ $year][ $month][ $day] = 0;
								if ( $_GET['stat_about'] == '1') {
									$statArray[ $year][ $month][ $day] += 1;
								} else if ( $_GET['stat_about'] == '2') {
									if( $isAnony == "on"){
										$lipormac = $ipormac[ $counter];
										$counter++;
										$finalData[0] = $finalData[0].$lipormac;
									}


									if($mode==1&&muiltpleUserDatabaseCheck($finalData[0])){
										$multiUser = splitUsername((string)$finalData[0]) ;
										if (!isset( $uniqueUserList[ $year][ $month][ $day][$multiUser])) {
											$uniqueUserList[ $year][ $month][ $day][ $multiUser] = 1;
											$statArray[ $year][ $month][ $day] += 1;
										}
										
									}
									else if (!isset( $uniqueUserList[ $year][ $month][ $day][ $finalData[0]])) {
										$uniqueUserList[ $year][ $month][ $day][ $finalData[0]] = 1;
										$statArray[ $year][ $month][ $day] += 1;
									}
								} else if ( $_GET['stat_about'] == '3') {
										$statArray[ $year][ $month][ $day] += $finalData[1];
								} else if ( $_GET['stat_about'] == '4') {
									$statArray[ $year][ $month][ $day] += $finalData[2];
								} else if ( $_GET['stat_about'] == '5') {
									$statArray[ $year][ $month][ $day] += $finalData[3];
								} else if ( $_GET['stat_about'] == '6') {
									$statArray[ $year][ $month][ $day] += $finalData[4];
								} else if ( $_GET['stat_about'] == '9') {
									
									$noofuser += 1;
									$totalduration += $finalData[1];
									
								}else if ( $_GET['stat_about'] == '10') {
								if ( $finalData[4] == 'Completed')
									$statArray[ $year][ $month][ $day] += $finalData[2];
								}else if ( $_GET['stat_about'] == '11') {
									if ( $finalData[4] == 'Completed')
									$statArray[ $year][ $month][ $day] += 1;
								}
							} if ( $_GET['stat_about'] == '9') { $statArray[ $year][ $month][ $day] = $totalduration/$noofuser;}
						}
						
					}
				}	
			} else if ( $_GET['group_by'] == 'month') {
				$counter = 0;
				foreach ( $resultArray as $year => $data) {
					foreach ( $data as $month => $data2) {
						$noofuser = 0;
						$totalduration = 0;
						foreach ( $data2 as $finalData) {
							if (!isset( $statArray[ $year][ $month])) $statArray[ $year][ $month] = 0;
							if ( $_GET['stat_about'] == '1') {
								$statArray[ $year][ $month] += 1;
							} else if ( $_GET['stat_about'] == '2') {
								if( $isAnony == "on"){
										$lipormac = $ipormac[ $counter];
										$counter++;
										$finalData[0] = $finalData[0].$lipormac;
									}
								if($mode==1&&muiltpleUserDatabaseCheck($finalData[0])){
										$multiUser = splitUsername((string)$finalData[0]) ;
										if (!isset( $uniqueUserList[ $year][ $month][$multiUser])) {
											$uniqueUserList[ $year][ $month][ $multiUser] = 1;
											$statArray[ $year][ $month] += 1;
										}
									}
								else if (!isset( $uniqueUserList[ $year][ $month][ $finalData[0]])) {
									$uniqueUserList[ $year][ $month][ $finalData[0]] = 1;
									$statArray[ $year][ $month] += 1;
								}
							} else if ( $_GET['stat_about'] == '3') {
								$statArray[ $year][ $month] += $finalData[1];
							} else if ( $_GET['stat_about'] == '4') {
								$statArray[ $year][ $month] += $finalData[2];
							} else if ( $_GET['stat_about'] == '5') {
								$statArray[ $year][ $month] += $finalData[3];
							} else if ( $_GET['stat_about'] == '6') {
								$statArray[ $year][ $month] += $finalData[4];
							} else if ( $_GET['stat_about'] == '9') {
	
									$noofuser += 1;
									$totalduration += $finalData[1];
								
							}else if ( $_GET['stat_about'] == '10') {
							if ( $finalData[4] == 'Completed')
									$statArray[ $year][ $month] += $finalData[2];
							}else if ( $_GET['stat_about'] == '11') {
							if ( $finalData[4] == 'Completed')
									$statArray[ $year][ $month] += 1;
							}
						}if ( $_GET['stat_about'] == '9') { $statArray[ $year][ $month] = $totalduration/$noofuser;}
					}
				}
			} else if ( $_GET['group_by'] == 'year') {
				$counter = 0;
				foreach ( $resultArray as $year => $data) {
					$noofuser = 0;
					$totalduration = 0;
					foreach ( $data as $finalData) {		
						if (!isset( $statArray[ $year])) $statArray[ $year] = 0;
						if ( $_GET['stat_about'] == '1') {
							$statArray[ $year] += 1;
						} else if ( $_GET['stat_about'] == '2' || $_GET['stat_about'] == '9') {
							if( $isAnony == "on"){
								$lipormac = $ipormac[ $counter];
								$counter++;
								$finalData[0] = $finalData[0].$lipormac;
							}
							if($mode==1&&muiltpleUserDatabaseCheck($finalData[0])){
										$multiUser = splitUsername((string)$finalData[0]) ;
										if (!isset( $uniqueUserList[ $year][$multiUser])) {
											$uniqueUserList[ $year][ $multiUser] = 1;
											$statArray[ $year] += 1;
										}
									}
							else if (!isset( $uniqueUserList[ $year][ $finalData[0]])) {
								$uniqueUserList[ $year][ $finalData[0]] = 1;
								if ( $_GET['stat_about'] == '9'){
											$temp_avg_user = $statArray[ $year];
											$temp_avg_user += 1;
										} else 
										$statArray[ $year] += 1;
							}
						} if ( $_GET['stat_about'] == '3') {
							$statArray[ $year] += $finalData[1];
						} else if ( $_GET['stat_about'] == '4') {
							$statArray[ $year] += $finalData[2];
						} else if ( $_GET['stat_about'] == '5') {
							$statArray[ $year] += $finalData[3];
						} else if ( $_GET['stat_about'] == '6') {
							$statArray[ $year] += $finalData[4];
						}else if ( $_GET['stat_about'] == '9') {
							$noofuser += 1;
							$totalduration += $finalData[1];

						}else if ( $_GET['stat_about'] == '10') {
						if ( $finalData[4] == 'Completed')
							$statArray[ $year] += $finalData[2];
						}
						else if ( $_GET['stat_about'] == '11') {
						if ( $finalData[4] == 'Completed')
							$statArray[ $year] += 1;}
					}
					if ( $_GET['stat_about'] == '9') { $statArray[ $year]= $totalduration/$noofuser;}
				}
			}
			}

			echo '<div style="font-size: 14px; color: green; font-weight: bold; margin-bottom: 10px;">';
			if ( $_GET['stat_about'] == '1') {
				echo get_cm_var('report_step_2_option_1');
			} else if ( $_GET['stat_about'] == '2') {
				echo get_cm_var('report_step_2_option_2');
			} else if ( $_GET['stat_about'] == '3') {
				echo get_cm_var('report_step_2_option_3');
			} else if ( $_GET['stat_about'] == '4') {
				echo get_cm_var('report_step_2_option_4');
			} else if ( $_GET['stat_about'] == '5') {
				echo get_cm_var('report_step_2_option_5');
			} else if ( $_GET['stat_about'] == '6') {
				echo get_cm_var('report_step_2_option_6');
			} else if( $_GET['stat_about'] == '7') {
				echo get_cm_var('report_step_2_option_7');
			} else if( $_GET['stat_about'] == '8') {
				echo get_cm_var('report_step_2_option_8');
			}else if( $_GET['stat_about'] == '9') {
				echo get_cm_var('report_step_2_option_9');
			}else if( $_GET['stat_about'] == '10') {
				echo get_cm_var('report_step_2_option_10');
			}else if( $_GET['stat_about'] == '11') {
				echo get_cm_var('report_step_2_option_11');
			}
			echo '</div>';
			
		
			$tempName;
			$tempTotal;
			
			for ( $a = 0 , $b = $a+1 ;$a < count( $temp_name) ; $a ++) {
				while( $b < count( $temp_name)) {
					if ( $_GET['stat_about'] <= '9' && $_GET['stat_about'] >= '1'){
						if ( $temp_bwusageSha[ $a] < $temp_bwusageSha[ $b]) {
							$tempTotal = $temp_bwusageSha[ $a];
							$temp_bwusageSha[ $a] = $temp_bwusageSha[ $b];
							$temp_bwusageSha[ $b] = $tempTotal;
							$tempName = $temp_name[ $a];
							$temp_name[ $a] = $temp_name[ $b];
							$temp_name[ $b] = $tempName;
						}
					}
					$b ++ ;
				}
				$b = $a+1;
			}
			
			
		

			if ( $_GET['stat_about'] == '8') {
			
				echo '<table cellpadding="2" cellspacing="1" border="0" style="background: green; width: 220px; font-size: 12px; margin-top: 15px;">';
				echo "<td style='background: white; width: 75px; font-weight: bold;'>" . get_cm_var('report_result_user') . "</td>";
				echo "<td style='background: white; font-weight: bold;'>" . get_cm_var('report_result_data_transfer_total') . "</td>";
				
				
				for ( $c = 0; $c < count( $temp_name) && $c < 10 ; $c ++) {
				
					echo '<tr>';
				
					echo "<td style='background: white; width: 75px;'>". $temp_name[ $c ] ."</td>";
					echo "<td style='background: white;'>". $temp_bwusageSha[ $c ]."</td>";
					echo '</tr>';
					
				
				}
				echo '</table>';
			}
			else {
				if ( $_GET['group_by'] == 'day') {
					resetMaxMin();
					if (isset( $statArray)){
						foreach ( $statArray as $data) {
						foreach ( $data as $data2) {
							findMaxMin($data2);
						}
						}
					}
					if( $_GET['stat_about'] != '7'){
						echo '<table cellpadding="0" cellspacing="0" style="height: 240px; border-left: 1px solid green; border-bottom:1px solid green">';
						echo '<tr valign="bottom">';
						if (isset( $statArray)){
							foreach ( $statArray as $data) {
								foreach ( $data as $data2) {
									foreach ( $data2 as $value) {
											$height = ($max != 0 ? floor(( $value/ $max) * 220) : 0);
										echo '<td style="width: 15px; border-bottom: 1px solid black; " align="center">';
										
										if( $height == 0){
											echo '<div style="line-height: 0px; font-size: 0px; width: 8px; height: ' . $height . 'px; background: #FFFFFF;"></div>';
										}else{
											echo '<div style="line-height: 0px; font-size: 0px; width: 8px; height: ' . $height . 'px; background: #0066FF;"></div>';
										}
										echo '</td>';
									}
								}
							}
						}
						echo '</tr>';
						echo '<tr>';
						if (isset( $statArray)){
							foreach ( $statArray as $year => $data) {
								foreach ( $data as $month => $data2) {
									foreach ( $data2 as $day => $value) {
										echo '<td style="width:12px; font-size: 9px; height: 15px;" align="center">';
										echo substr( $day, 0, 1) == '0' ? substr( $day, 1) : $day;
										echo '</td>';
									}
								}
							}
						}
						echo '</tr>';
						echo '<tr valign="bottom">';
						$yearSpan = array();
						if (isset( $statArray)){
							foreach ( $statArray as $year => $data) {
								$yearCount = 0;
								foreach ( $data as $month => $data2) {
									$colspanCount = count( $data2);
									$yearCount += $colspanCount;
									echo '<td style="font-size: 12px; height: 15px;" align="center" colspan="' . $colspanCount . '">';
									echo getMonthByInt( $month); 
									echo '</td>';
								}
								$yearSpan[ $year] = $yearCount;
							}
						}
						echo '</tr>';
						echo '<tr valign="bottom">';
						foreach ( $yearSpan as $year => $count) {
							echo '<td style="font-size: 13px; height: 20px;" align="center" colspan="' . $count . '">';
							echo $year;		
							echo '</td>';
						}
						echo '</tr>';
						echo '</table>';
						echo '<table cellpadding="2" cellspacing="1" border="0" style="background: green; width: 170px; font-size: 12px; margin-top: 15px;">';
						echo '<tr>';
						echo "<td style='background: white; width: 75px; font-weight: bold;'>" . get_cm_var('report_result_date') . "</td>";
						echo "<td style='background: white; font-weight: bold;'>" . get_cm_var('report_result_value') . "</td>";
						echo '</tr>';
						if (isset( $statArray)){
							foreach ( $statArray as $year => $data) {
								foreach ( $data as $month => $data2) {
									foreach ( $data2 as $day => $value) {
										echo '<tr>';
										echo "<td style='background: white; width: 75px;'>".$year."-".$month."-".$day."</td>";
										echo "<td style='background: white;'>".$value."</td>";
										echo '</tr>';
									}
								}
							}
						}
						echo '</table>';
					}else{
						$logDirArr = array("..\\log\\archive", "..\\log");
						$csvPrfx = 'urltracking_';
						$csvSufx = '.csv';
						$csvArr = array();          
						$cnt = 0;
						
						foreach ( $logDirArr as $l) {
							$fileArr = scandir( $l);
							if (isset( $statArray)){
							foreach ( $statArray as $year => $data) {
							foreach ( $data as $month => $data2) { 
							foreach ( $data2 as $day => $value) {
							foreach ( $fileArr as $f) {
								$filePath = "$l\\$f";
								if (ereg('^'.$csvPrfx.''.$year.'[\.]{1}[0]{1}'.$month.'[\.]{1}'.$day.'[_]{1}[0-9]{2}[\.]{1}[0-9]{2}[\.]{1}[0-9]{2}'.$csvSufx.'$', $f) && is_file( $filePath)) {
									$treatFilePath = str_replace( $csvSufx, '', $filePath);
									echo $year-$month-$day."</br>";
									echo "</br>";
									$getPos = strpos( $treatFilePath, $csvPrfx, 1) + strlen( $csvPrfx);
									if (strpos(substr( $treatFilePath, $getPos, strlen( $treatFilePath) - $getPos), '_') >0){
										$fileDate = explode('_', substr( $treatFilePath, $getPos, strlen( $treatFilePath) - $getPos));
										$dateArray = explode('.', $fileDate[0]);
										$timeArray = explode('.', $fileDate[1]);
										$dateTimeStamp = mktime( $timeArray[0], $timeArray[1], $timeArray[2], $dateArray[1], $dateArray[2], $dateArray[0]);
										$csvArr[ $dateTimeStamp] = $filePath;
										$count = 0;
										$shown = 0;	
										$urlPrfx = 'www.';
										$temp = array();
										$previous_timestamp = 9999999999;
										
										foreach ( $csvArr as $timestamp => $c) {
											$URLArr = array();
											$fp = fopen( $c, 'rt');
											if ( $fp != FALSE) {
												$meetTitle = 0;		
												while (( $dataArr = fgetcsv( $fp, 512, ',', "'")) !== FALSE ) {
													if (!isset( $dataArr[4]) || !preg_match('/^[a-z0-9\*][a-z0-9\.\-]+[a-z0-9\*]$/',$dataArr[4]))	// isdomain ?
														continue;
													if (isset( $URLArr[ $dataArr[4]])){
														$URLArr[ $dataArr[4]] ++;  
													}else{
														$URLArr[ $dataArr[4]] =1; 		
													}
												}
												fclose( $fp);
											}
											$previous_timestamp = $timestamp;
										}
										arsort( $URLArr);
										$temp = 0;
										resetMaxMin();
										findMaxMin($URLArr);
										echo '<table cellpadding="0" cellspacing="0" style="height: 240px; border-left: 1px solid green; border-bottom:1px solid green">';
										echo '<tr valign="bottom">';
				
										foreach ( $URLArr as $k => $v) {
											if(ereg( $urlPrfx, $k)){
												$temp++;
												$height = ($max != 0 ? floor(( $v/ $max) * 220) : 0);
												echo '<td style="width: 15px; border-bottom: 1px solid red; " align="center">';
												
												if( $height == 0){
													echo '<div style="line-height: 0px; font-size: 0px; width: 10px; height: ' . $height . 'px; background: #FFFFFF;"></div>';
												}else{
													echo '<div style="line-height: 0px; font-size: 0px; width: 10px; height: ' . $height . 'px; background: #0066FF;"></div>';
												}
												echo '</td>';
											}
										}
										echo '</tr>';
										echo '<tr>';
										for ( $j=1; $j<= $temp ; $j++) {
											echo '<td style="width: 20px; font-size: 9px; height: 15px;" align="center">';
											echo " ".$j." " ;
											echo '</td>';
										}
										echo '</tr>';
										$yearSpan = array();
										echo '<table cellpadding="2" cellspacing="1" border="0" style="background: green; width: 170px; font-size: 12px; margin-top: 15px;">';
										echo '<tr>';
										echo "<td style='background: white; width: 75px; font-weight: bold;'>" . get_cm_var('report_result_number') . "</td>";
										echo "<td style='background: white; width: 75px; font-weight: bold;'>" . get_cm_var('report_result_website') . "</td>";
										echo "<td style='background: white; font-weight: bold;'>" . get_cm_var('report_result_value') . "</td>";
										echo '</tr>';
										$i=1;
										foreach( $URLArr as $k => $v){
											if(ereg( $urlPrfx, $k)){
												echo '<tr>';
												echo "<td style='background: white; width: 75px;'>". $i."</td>";
												echo "<td style='background: white; width: 150px;'>". $k."</td>";
												echo "<td style='background: white;'>". $v."</td>";
												echo '</tr>';
												$i++;
											}
										}
										echo '</table>';
									}
									echo "</br>";
									echo "</br>";						
								}
							}
							}
							}
							}
							}
						}
					}
				} else if ( $_GET['group_by'] == 'month') {
					resetMaxMin();
					if (isset( $statArray)){
						foreach ( $statArray as $data) {
							findMaxMin( $data);
						}
					}
					if( $_GET['stat_about'] != '7'){
						echo '<table cellpadding="0" cellspacing="0" border="0" style="height: 240px; border-left:1px solid green;border-bottom:1px solid green;">';
						echo '<tr valign="bottom">';
						if (isset( $statArray)){
							foreach ( $statArray as $year => $data) {
								foreach ( $data as $month => $value) {
									$height = ($max != 0 ? floor(( $value/ $max) * 220) : 0);
									echo '<td style="width: 50px; border-bottom: 1px solid black;  align="center">';
									if( $height == 0){
										echo '<div style="width: 15px; height: ' . $height . 'px; background: #FFFFFF ;"></div>';
									}else{
										echo '<div style="width: 15px; height: ' . $height . 'px; background: #0066FF  ;"></div>';
									}
									echo '</td>';
								}
							
							}
						}
						echo '</tr>';
						echo '<tr valign="bottom">';
						if (isset( $statArray)){
							foreach ( $statArray as $year => $data) {
								foreach ( $data as $month => $data2) {
									echo '<td style="font-size: 12px; height: 15px;" align="center">';
									echo getMonthByInt( $month);
									echo '</td>';
								}
							}
						}
						echo '</tr>';
						echo '<tr valign="bottom">';
						if (isset( $statArray)){
							foreach ( $statArray as $year => $data) {
								$count = count( $data);
								echo '<td style="font-size: 13px; height: 20px;" align="center" colspan="' . $count . '">';
								echo $year;
								echo '</td>';
							}
						}
						echo '</tr>';
						echo '</table>';

						echo '<table cellpadding="2" cellspacing="1" border="0" style="background: green; width: 150px; font-size: 12px; margin-top: 20px;">';
						echo '<tr>';
						echo "<td style='background: white; width: 55px; font-weight: bold;'>Date</td>";
						echo "<td style='background: white; font-weight: bold;'>Value</td>";
						echo '</tr>';
						if (isset( $statArray)){
							foreach ( $statArray as $year => $data) {
								foreach ( $data as $month => $value) {
									echo '<tr>';
									echo "<td style='background: white; width: 55px;'>". $year."-". $month."</td>";
									echo "<td style='background: white;'>". $value."</td>";
									echo '</tr>';
								}
							}
						}
						echo '</table>';
					}else{
						$logDirArr = array("..\\log\\archive", "..\\log");
						$csvPrfx = 'urltracking_';
						$csvSufx = '.csv';
						$csvArr = array();          
						$cnt = 0;

						foreach ( $logDirArr as $l) {
							$fileArr = scandir( $l);
							foreach ( $fileArr as $f) {
								$filePath = $l."\\".$f;
								if (is_file( $filePath) && ereg('^'.$csvPrfx.''.$year.'[\.]{1}[0-9]{2}[\.]{1}[0-9]{2}[_]{1}[0-9]{2}[\.]{1}[0-9]{2}[\.]{1}[0-9]{2}'.$csvSufx.'$', $f)) {
									$treatFilePath = str_replace( $csvSufx, '', $filePath);
									$getPos = strpos( $treatFilePath, $csvPrfx, 1) + strlen( $csvPrfx);
									if (strpos(substr( $treatFilePath, $getPos, strlen( $treatFilePath) - $getPos), '_') >0){
										$fileDate = explode('_', substr( $treatFilePath, $getPos, strlen( $treatFilePath) - $getPos));
										$dateArray = explode('.', $fileDate[0]);
										$timeArray = explode('.', $fileDate[1]);
										$dateTimeStamp = mktime( $timeArray[0], $timeArray[1], $timeArray[2], $dateArray[1], $dateArray[2], $dateArray[0]);
										$csvArr[ $dateTimeStamp] = $filePath;
									}
								}
							}
						}
						krsort( $csvArr);

						
						$temp	= 0;
						$count	= 0;
						$shown	= 0;	
						$URLArr	= array();
						$urlPrfx= 'www.';
						$previous_timestamp = 9999999999;
						$maxheight	= 0;
						$output	= "";

						if(isset($data)){
							foreach ( $data as $month => $value) {
								foreach ( $csvArr as $timestamp => $c) {
									$dataArray = array();
									$fp = fopen( $c, 'rt');
									if ( $fp != FALSE) {
										$meetTitle = 0;
										while (( $dataArr = fgetcsv( $fp, 512, ',', "'")) !== FALSE) {
											if (!isset( $dataArr[4]) || !preg_match('/^[a-z0-9\*][a-z0-9\.\-]+[a-z0-9\*]$/',$dataArr[4]))	// isdomain ?
												continue;
											if (isset( $URLArr[ $dataArr[4]])){
												$URLArr[ $dataArr[4]] ++;  
											}else{
												$URLArr[ $dataArr[4]] =1; 		//value = 1 ;
											}
										}
										fclose( $fp);
									}
									$previous_timestamp = $timestamp;
								}
								arsort( $URLArr);
							//	print_r("$month<br/>");
								echo "<br/>";
							}
						}
						resetMaxMin();
						findMaxMin($URLArr);
						foreach ( $URLArr as $k => $v) {
							if(ereg( $urlPrfx, $k )){
								$temp++;
								$height = ($max != 0 ? floor(( $v/ $max) * 220) : 0);
								if($height > $maxheight)
									$maxheight = $height;
								$output.='<td style="width: 15px; border-bottom: 1px solid red" align="center">';
								if( $height == 0){
									$output.='<div style="width: 12px; height: '. $height.'px; background: #FFFFFF;"></div>';
								}else{
									$output.='<div style="width: 12px; height: '. $height.'px; background: #0066FF;"></div>';
								}
								$output.='</td>';
							}
						}
						echo '<table cellpadding="0" cellspacing="0" border="0" style="height: '.($maxheight+32).'px; border-left: 1px solid green; border-bottom: 1px solid green;">';
						echo '<tr valign="bottom">';
						echo $output;
						echo '</tr>';
						echo '<tr valign="bottom">';
						for( $j=1; $j<= $temp; $j++) {
							echo '<td style="font-size: 13px; height: 20px;" align="center">';
							echo "$j";
							echo '</td>';
						}
						echo '</tr>';
						echo '</table>';

						echo '<table cellpadding="2" cellspacing="1" border="0" style="background: green; width: 300px; font-size: 12px; margin-top: 15px;">';
						echo '<tr>';
						echo "<td style='background: white; width: 35px; font-weight: bold;'>Number</td>";
						echo "<td style='background: white; font-weight: bold;'>Website</td>";
						echo "<td style='background: white; width: 35px; font-weight: bold;'>Value</td>";
						echo '</tr>';
						$i=1;
						if(isset($data)){
							foreach ( $data as $month => $value) {
							// print_r("$month<br/>");
								foreach ( $URLArr as $k => $v) {
									if(ereg( $urlPrfx, $k)){
										echo '<tr>';
										echo "<td style='background: white;'>".$i."</td>";
										echo "<td style='background: white;'>".$k."</td>";
										echo "<td style='background: white;'>".$v."</td>";
										echo '</tr>';
										$i++;
									}
								}
							}
						}
						echo '</table>';
					}
				} else if ( $_GET['group_by'] == 'year') {
					resetMaxMin();
					if (isset( $statArray)){
						findMaxMin( $statArray);
					}

					if( $_GET['stat_about'] != '7'){
						echo '<table cellpadding="0" cellspacing="0" border="0" style="height: 240px; border-left: 1px solid green; border-bottom: 1px solid green;">';
						echo '<tr valign="bottom">';
						if (isset( $statArray)){
							foreach ( $statArray as $value) {
								$height = ($max != 0 ? floor(( $value/ $max) * 220) : 0);
								echo '<td style="width: 35px; border-bottom: 1px solid black" align="center">';
								if( $height == 0){
									echo '<div style="width: 10px; height: ' . $height . 'px; background: #FFFFFF;"></div>';
								}else{
									echo '<div style="width: 10px; height: ' . $height . 'px; background: #0066FF;"></div>';
								}
								echo '</td>';
							}
						}
						echo '</tr>';
						echo '<tr valign="bottom">';
						if (isset( $statArray)){
							foreach ( $statArray as $year => $value) {
								echo '<td style="font-size: 13px; height: 20px;" align="center">';
								echo $year;
								echo '</td>';
							}
						}
						echo '</tr>';
						echo '</table>';

						echo '<table cellpadding="2" cellspacing="1" border="0" style="background: green; width: 130px; font-size: 12px; margin-top: 15px;">';
						echo '<tr>';
						echo "<td style='background: white; width: 35px; font-weight: bold;'>Year</td>";
						echo "<td style='background: white; font-weight: bold;'>Value</td>";
						echo '</tr>';
						if (isset( $statArray)){
							foreach ( $statArray as $year => $value) {
								echo '<tr>';
								echo "<td style='background: white; width: 35px;'>".$year."</td>";
								echo "<td style='background: white;'>".$value."</td>";
								echo '</tr>';
							}
						}
						echo '</table>';
					}else{
						$logDirArr = array("..\\log\\archive", "..\\log");
						$csvPrfx = 'urltracking_';
						$csvSufx = '.csv';
						$csvArr = array();          
						$cnt = 0;

						foreach ( $logDirArr as $l) {
							$fileArr = scandir( $l);
							foreach ( $fileArr as $f) {
								$filePath = $l."\\".$f;
								if (is_file( $filePath) && ereg('^'.$csvPrfx.''.$year.'[\.]{1}[0-9]{2}[\.]{1}[0-9]{2}[_]{1}[0-9]{2}[\.]{1}[0-9]{2}[\.]{1}[0-9]{2}'.$csvSufx.'$', $f)) {
									$treatFilePath = str_replace( $csvSufx, '', $filePath);
									$getPos = strpos( $treatFilePath, $csvPrfx, 1) + strlen( $csvPrfx);
									if (strpos(substr( $treatFilePath, $getPos, strlen( $treatFilePath) - $getPos), '_') >0){
										$fileDate = explode('_', substr( $treatFilePath, $getPos, strlen( $treatFilePath) - $getPos));
										$dateArray = explode('.', $fileDate[0]);
										$timeArray = explode('.', $fileDate[1]);
										$dateTimeStamp = mktime( $timeArray[0], $timeArray[1], $timeArray[2], $dateArray[1], $dateArray[2], $dateArray[0]);
										$csvArr[ $dateTimeStamp] = $filePath;
									}
								}
							}
						}
						krsort( $csvArr);

						$count = 0;
						$shown = 0;	
						$URLArr = array();
						$urlPrfx = 'www.';
						$previous_timestamp = 9999999999;
						$maxheight	= 0;
						$output	= "";

						foreach ( $csvArr as $timestamp => $c) {
							$dataArray = array();
							$fp = fopen( $c, 'rt');
							if ( $fp != FALSE) {
								$meetTitle = 0;
								while (( $dataArr = fgetcsv( $fp, 512, ',', "'")) !== FALSE) {
									if (!isset( $dataArr[4]) || !preg_match('/^[a-z0-9\*][a-z0-9\.\-]+[a-z0-9\*]$/',$dataArr[4]))	// isdomain ?
										continue;
									if (isset( $URLArr[ $dataArr[4]])){
										$URLArr[ $dataArr[4]] ++;  
									}else{
										$URLArr[ $dataArr[4]] =1; 		//value = 1 ;
									}
								}
								fclose( $fp);
							}
							$previous_timestamp = $timestamp;
						}
						
						$i=1;
						$var = " ";
						arsort( $URLArr);
						$temp =0;				
						print_r("$year<br/>");
						echo "<br/>";

						resetMaxMin();
						findMaxMin($URLArr);
						foreach ( $URLArr as $k => $v) {
							if(ereg( $urlPrfx, $k )){
								$temp++;
								$height = ($max != 0 ? floor(( $v/ $max) * 220) : 0);
								if($height > $maxheight)
									$maxheight = $height;
								$output.='<td style="width: 15px; border-bottom: 1px solid red" align="center">';
								if( $height == 0){
									$output.='<div style="width: 12px; height: ' . $height . 'px; background: #FFFFFF;"></div>';
								}else{
									$output.='<div style="width: 12px; height: ' . $height . 'px; background: #0066FF;"></div>';
								}
								$output.='</td>';
							}
						}
						echo '<table cellpadding="0" cellspacing="0" border="0" style="height: '.($maxheight+32).'px; border-left: 1px solid green; border-bottom: 1px solid green;">';
						echo '<tr valign="bottom">';
						echo $output;
						echo '</tr>';
						echo '<tr valign="bottom">';
						for( $j=1; $j<= $temp; $j++) {
							echo '<td style="font-size: 13px; height: 20px;" align="center">';
							echo "$j";
							echo '</td>';
						}
						echo '</tr>';
						echo '</table>';

						echo '<table cellpadding="2" cellspacing="1" border="0" style="background: green; width: 300px; font-size: 12px; margin-top: 15px;">';
						echo '<tr>';
						echo "<td style='background: white; width: 35px; font-weight: bold;'>Number</td>";
						echo "<td style='background: white; font-weight: bold;'>Website</td>";
						echo "<td style='background: white; width: 35px; font-weight: bold;'>Value</td>";
						echo '</tr>';

						$i=1;
						foreach ( $URLArr as $k => $v) {
							if(ereg( $urlPrfx, $k)){
								echo '<tr>';
								echo "<td style='background: white;'>".$i."</td>";
								echo "<td style='background: white;'>".$k."</td>";
								echo "<td style='background: white;'>".$v."</td>";
								echo '</tr>';
								$i++;
							}
						}
						echo '</table>';
					}
				}
			}
			odbc_close($userDB);
			$settingobj=null;
		}
	}

	function getMonthByString($inputMonth) {
		$stringArray = array('', 'Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec');
		foreach ($stringArray as$key =>$data) {
			if ($data ==$inputMonth) return$key;
		}
	}
	function getMonthByInt($inputMonth) {
		$stringArray = array('', 'Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec');
		return$stringArray[$inputMonth];
	}

	function resetMaxMin(){
		global$max,$min;
		$max =$min = -1;
	}

	function findMaxMin($myArray){
		if(!is_array($myArray))
			return;
		global$max,$min;
		foreach ($myArray as$value) {
			if ($value >$max)
				$max =$value;
			if ($value <$min ||$min == -1)
				$min =$value;
		}
	}

	function multipleClientCheck($name,$users){
		$user = (array)$users;
		global $mode;
		global $sessionHandling;
		if(!$mode)
			return false;
		foreach($user as $value){
			
			if($sessionHandling == 0)
				$pattern = "/\b$value\_([0-9A-F]{2}[:-]){5}([0-9A-F]{2})\b/";
			if($sessionHandling == 1)
				$pattern = "/\b$value\_\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}\b/";
			if (preg_match($pattern,(string)$name)) 
				return true;
		}
		return false;
	}

	
	function multiCheck($name){

		global $sessionHandling;
		if($sessionHandling == null)
		return false;
		
		
		else if($sessionHandling == 0)
			$pattern ="/[\w\W]+\_([0-9A-F]{2}[:-]){5}([0-9A-F]{2})\b/";
		else if($sessionHandling == 1)
			$pattern ="/[\w\W]+\_\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}\b/";
		return preg_match($pattern,(string)$name);

	}
	function muiltpleUserDatabaseCheck($name){
		global $firstspotusertable;
		global $userDB;

		$rst = "";
		if(multiCheck($name)){
			$username = splitUsername($name);
			$result = odbc_exec( $userDB, "SELECT * FROM $firstspotusertable where name = '$username' and acctype = 3 or acctype = 4");
			while (odbc_fetch_row( $result)){
				$rst = odbc_result( $result, 'name');
			//	echo $username.":".$rst."<br>";
				if($rst  == $username){
					//echo "$name<br>";
					return true;
				}
			}
		}
		return false;
	}
	
	function splitUsername($name){
		global $sessionHandling;
		if($mode = 1 && multiCheck($name) ){
			if($sessionHandling == 0)
				$pattern = "/\_([0-9A-F]{2}[:-]){5}([0-9A-F]{2})\b/";
				
			else if($sessionHandling == 1)
				$pattern = "/\_\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}\b/";
		
		$username = preg_split($pattern,(string)$name);
		return $username[0] ;
		}
	}
	//ip check chnage
	//session handling config
	//fsusr
?>
	</body>
</html>